Agents

List CertiWise enterprise observability sinks

GET
/organizations/{organizationId}/certiwise/observability-sinks

Path Parameters

organizationId*string
Formatuuid

Header Parameters

x-organization-role*string

Portal impersonation role (pair with x-organization-id)

Value in

  • "ORG_ADMIN"
  • "ORG_MEMBER"
x-organization-id*string

Must match the organizationId path segment

Formatuuid

Response Body

application/json

application/json

curl -X GET "https://example.com/organizations/497f6eca-6276-4993-bfeb-53cbbbba6f08/certiwise/observability-sinks" \  -H "x-organization-role: ORG_ADMIN" \  -H "x-organization-id: 497f6eca-6276-4993-bfeb-53cbbbba6f08"
{  "enterpriseSinksLicensed": true,  "sinks": [    {      "id": "string",      "sinkType": "datadog",      "name": "string",      "enabled": true,      "publicConfig": {},      "secretFieldsSet": {        "property1": true,        "property2": true      },      "lastSuccessAt": "string",      "errors24h": 0,      "createdAt": "string",      "updatedAt": "string"    }  ]}
{  "message": "string"}